﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using GameWebRole.Model;

namespace GameWebRole.Data
{
    public class DataHelper
    {
        private static List<Card> CardList;

        /// <summary>
        /// カードを引きます。
        /// </summary>
        /// <returns></returns>
        public static Card GetCard()
        {
            // 1から10の間の乱数を取得します。
            Random random = new Random();

            int newCardNumber = random.Next(1, 8);

            Card newCard = new Card();
            newCard.Id = newCardNumber;

            switch (newCard.Id)
            {
                case 1:
                    newCard.Name = "菊";
                    newCard.FileName = "Chrysanthemum.jpg";
                    break;
                case 2:
                    newCard.Name = "砂漠";
                    newCard.FileName = "Desert.jpg";
                    break;
                case 3:
                    newCard.Name = "アジサイ";
                    newCard.FileName = "Hydrangeas.jpg";
                    break;
                case 4:
                    newCard.Name = "クラゲ";
                    newCard.FileName = "Jellyfish.jpg";
                    break;
                case 5:
                    newCard.Name = "コアラ";
                    newCard.FileName = "Koala.jpg";
                    break;
                case 6:
                    newCard.Name = "灯台";
                    newCard.FileName = "Lighthouse.jpg";
                    break;
                case 7:
                    newCard.Name = "ペンギン";
                    newCard.FileName = "Penguins.jpg";
                    break;
                case 8:
                    newCard.Name = "チューリップ";
                    newCard.FileName = "Tulips.jpg";
                    break;
                default:
                    break;
            }

            return newCard;
        }

        /// <summary>
        /// カードを保存します。
        /// ※本来はTableまたはSQL Azureに保存する処理です。
        /// </summary>
        /// <param name="newCard"></param>
        public static void SaveCard(Card newCard)
        {
            if (CardList == null)
            {
                CardList = new List<Card>();
            }

            CardList.Add(newCard);
        }
        
        /// <summary>
        /// カード一覧を取得します。
        /// ※本来はTableまたはSQL Azureからデータを取得する処理です。
        /// </summary>
        /// <returns></returns>
        public static List<Card> SelectCard()
        {
            List<Card> returnValue = new List<Card>();

            if (CardList != null)
            {
                var orderdCardList = from card in CardList
                                     orderby card.Id ascending
                                     select card;

                returnValue = orderdCardList.ToList<Card>();
            }

            return returnValue;
        }
    }
}