﻿using System.Collections.Generic;
using System.ServiceModel.Activation;
using GameWebRole.Data;
using GameWebRole.Model;

namespace GameWebRole.Service
{
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Required)]
    public class GameService:IGameService
    {
        /// <summary>
        /// カードを1枚引きます。
        /// </summary>
        /// <returns></returns>
        ///public int GetCard()
        public Card GetCard()
        {
            // カードを引きます。
            Card newCard = DataHelper.GetCard();

            // 取得したカード番号を保存します。
            DataHelper.SaveCard(newCard);

            return newCard;
        }

        /// <summary>
        /// カード一覧を取得します。
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public GameServiceResponse GetCardList(GameServiceRequest request)
        {
            // カード一覧を取得します。
            GameServiceResponse response = new GameServiceResponse();

            List<Card> cardList = DataHelper.SelectCard();

            response.CardList = cardList;

            return response;
        }
    }
}