﻿using System.ServiceModel;
using System.ServiceModel.Web;
using GameWebRole.Model;

namespace GameWebRole.Service
{
    [ServiceContract]
    public interface IGameService
    {
        [OperationContract]
        [WebGet(ResponseFormat = WebMessageFormat.Json, UriTemplate = "getcard")]
        /// <summary>
        /// カードを1枚引きます。
        /// </summary>
        /// <returns></returns>
        ///int GetCard();
        Card GetCard();
        
        [OperationContract]
        [WebInvoke(Method = "POST", 
            RequestFormat = WebMessageFormat.Json, 
            ResponseFormat = WebMessageFormat.Json, 
            UriTemplate = "getcardlist")]
        /// <summary>
        /// カード一覧を取得します。
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        GameServiceResponse GetCardList(GameServiceRequest request);
    }
}